linux noob tring to install

Ask for help regarding any technical issue or report any bug or OS independent issues.
Locked
MasterX
Peon
Peon
Posts: 4
Joined: 20 Jun 2005, 20:10
Contact:

linux noob tring to install

Post by MasterX » 20 Jun 2005, 20:19

Im an ultra noob so go easy on me please. I finally downloaded all the dependencies and installed them(i thought) but now in the "make install" of tmw i get this:

Code: Select all

Package libxml-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libxml-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libxml-2.0' found
In file included from gui/../graphics.h:27,
                 from gui/window.h:31,
                 from gui/buddywindow.h:28,
                 from gui/buddywindow.cpp:24:
/usr/local/include/guichan/sdl.hpp:58:39: guichan/sdl/sdlgraphics.hpp: No such file or directory
/usr/local/include/guichan/sdl.hpp:59:42: guichan/sdl/sdlimageloader.hpp: No such file or directory
/usr/local/include/guichan/sdl.hpp:60:36: guichan/sdl/sdlinput.hpp: No such file or directory
In file included from gui/window.h:31,
                 from gui/buddywindow.h:28,
                 from gui/buddywindow.cpp:24:
gui/../graphics.h:64: error: expected class-name before '{' token
make[2]: *** [tmw-buddywindow.o] Error 1
make[2]: Leaving directory `/home/kennyg/Downloads/manaworld/tmw-0.0.13/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/kennyg/Downloads/manaworld/tmw-0.0.13'
make: *** [all] Error 2

what does it mean and how do i do it? and i have installed libxml2-2.6.19 or whatever the new version is.
Also ive been wondering, after i do ./configure make.... is it ok to go back and redo these commands or is that a no no?
User avatar
ElvenProgrammer
TMW Adviser
TMW Adviser
Posts: 2526
Joined: 13 Apr 2004, 20:11
Location: Italy
Contact:

Post by ElvenProgrammer » 20 Jun 2005, 20:24

It seems to me that both libxml and guichan are not properly installed...
MasterX
Peon
Peon
Posts: 4
Joined: 20 Jun 2005, 20:10
Contact:

Post by MasterX » 20 Jun 2005, 21:33

i think i fixed the guichan, not really sure. tmw is the fisrt program ive tried to install with dependencies (2nd all together).
anyways now i dont even get past "make" no i get:

Code: Select all

Package libxml-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libxml-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libxml-2.0' found
resources/itemmanager.cpp:26:27: libxml/parser.h: No such file or directory
resources/itemmanager.cpp:27:25: libxml/tree.h: No such file or directory
resources/itemmanager.cpp: In constructor `ItemManager::ItemManager()':
resources/itemmanager.cpp:52: error: `xmlDocPtr' undeclared (first use this function)
resources/itemmanager.cpp:52: error: (Each undeclared identifier is reported only once for each function it appears in.)
resources/itemmanager.cpp:52: error: expected `;' before "doc"
resources/itemmanager.cpp:55: error: `doc' undeclared (first use this function)
resources/itemmanager.cpp:56: error: `xmlNodePtr' undeclared (first use this function)
resources/itemmanager.cpp:56: error: expected `;' before "node"
resources/itemmanager.cpp:58: error: `node' undeclared (first use this function)
resources/itemmanager.cpp:58: error: `BAD_CAST' undeclared (first use this function)
resources/itemmanager.cpp:58: error: `xmlStrEqual' undeclared (first use this function)
resources/itemmanager.cpp:65: error: `xmlChar' undeclared (first use this function)
resources/itemmanager.cpp:65: error: `prop' undeclared (first use this function)
resources/itemmanager.cpp:66: error: `xmlGetProp' undeclared (first use this function)
resources/itemmanager.cpp:68: error: `xmlFree' undeclared (first use this function)
resources/itemmanager.cpp:109: error: `xmlFreeDoc' undeclared (first use this function)
make[2]: *** [tmw-itemmanager.o] Error 1
make[2]: Leaving directory `/home/kennyg/tmw-0.0.13/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/kennyg/tmw-0.0.13'
make: *** [all] Error 2
not to mention many others screaming no libxml
User avatar
Bjørn
TMW Adviser
TMW Adviser
Posts: 1430
Joined: 09 Dec 2004, 19:50
Location: North Rhine-Westphalia, Germany
Contact:

Post by Bjørn » 21 Jun 2005, 00:38

So even if you may have installed libxml2, it's not being found by pkg-config. All I can say is what it's already suggesting:
Package libxml-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libxml-2.0.pc'
to the PKG_CONFIG_PATH environment variable
Then try commands like:

locate libxml-2.0.pc (maybe after running 'updatedb' as root)
export PKG_CONFIG_PATH=<the dir containing the file>:$PKG_CONFIG_PATH

For example in my case:
[bjorn@thor ~]$ locate libxml-2.0.pc
/usr/lib/pkgconfig/libxml-2.0.pc
It could be you've installed it to /usr/local/lib/pkgconfig, a directory you'd need to manually add to your PKG_CONFIG_PATH.
MasterX
Peon
Peon
Posts: 4
Joined: 20 Jun 2005, 20:10
Contact:

Post by MasterX » 21 Jun 2005, 03:07

sorry didnt post that the problem was fixed
i used mandriva's package install tool. it installed an earlier version, but it works
User avatar
Major_Nuggs
Peon
Peon
Posts: 16
Joined: 19 Jun 2005, 04:58
Location: California once again.. in a week. :)
Contact:

Post by Major_Nuggs » 21 Jun 2005, 19:27

For future reference, if you get that problem, it's usually in /usr/local/lib/pkgconfig or whatever it is(i always specific --prefix=/usr during configuration.. eg: ./configure --prefix=/usr then everything gets installed to /usr instead of /usr/local which is default for almost anything you use) and just copy that .pc file to /usr/lib/pkgconfig..

Something of that, if you use linux you know what I'm talking aboot.. heh.

Something of that sort.. I really should just fix my startup file for fluxbox so I can get out of hell(windows).. heh.

or reinstall ubuntu.. that was nice. heh. just not as nice as gentoo.. and no fluxbox by default.. and no portage!! :/

if any of this even makes sense..

Regards,
Anthony
The best part of waking up, is satan in your cup!
ampersand
Peon
Peon
Posts: 4
Joined: 16 Jun 2005, 14:53
Contact:

libxml2, but may need -devel package

Post by ampersand » 02 Jul 2005, 11:09

You may have libxml2 installed, but may need to have a development package installed instead. For example, on my SuSE 9.2 system I needed to have: libxml2-devel-2.6.12-3.4 installed, not libxml2-6.12-3.4.

This should help with your libxml2 problem.

Note: you can also compile some of the packages without support for things like OpenGL, which guichan likes to include by default (requiring more libraries), just add the switch --enable-opengl=no to your ./configure:


cd guichan
./configure --enable-opengl=no
Locked